#include "demo.h" 
#include "Five State Button.h" // A must include for Five State Button

HINSTANCE g_hInstance;

int APIENTRY  WinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,LPSTR lpCmdLine,int nCmdShow)
{
	g_hInstance = hInstance;

 	DialogBox(hInstance, (LPCTSTR)IDD_DIALOG1, 0, (DLGPROC)DlgProc);
 
	return 0;
}

LRESULT CALLBACK DlgProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam)
{

	switch (uMsg)
	{
	case WM_COMMAND:
		// Play a beep sound (.wav) on click (FS_Button)
		if (LOWORD(wParam) == IDC_FSB_PLAY)
			PlaySound(MAKEINTRESOURCE(IDR_BEEP),g_hInstance,SND_RESOURCE |SND_ASYNC | SND_NOWAIT);
		break;
	case WM_INITDIALOG:
		
			// Register FS_Button (Five State Button) Class
			InitFS_Button(g_hInstance);
			// Create a new button
			CreateFS_Button(LoadBitmap(g_hInstance, MAKEINTRESOURCE(IDB_DEMO)),(HMENU)IDC_FSB_PLAY,hwndDlg,14,12,46,50,0);			
			// Set icon for this demo dialog box
			SendMessage(hwndDlg,WM_SETICON,ICON_BIG,(LPARAM)LoadIcon(g_hInstance,MAKEINTRESOURCE(IDI_ICON1)));
			return true;

	case WM_CLOSE:
		EndDialog(hwndDlg,0);
		break;
	}
	return FALSE;
}
/*
This software created by Muhammad Arshad Latti
From Sargodha ( Pakistan ) 
e-mail   :: arshadlatti@gmail.com 
web_site :: http://www.geocities.com/arshadlati
*/